Subject: Re: [PATCH] net: hns: use put_device() if device_register fail

From: arvindY <[email-masked]>
Date: Mon, 12 Mar 2018 21:57:48 +0530

On Monday 12 March 2018 08:13 PM, David Miller wrote:
> From: Arvind Yadav <[email-masked]>
> Date: Fri,  9 Mar 2018 16:11:17 +0530
>
>> if device_register() returned an error! Always use put_device()
>> to give up the reference initialized.
>>
>> Signed-off-by: Arvind Yadav <[email-masked]>
> I do not see anything giving cls_dev an initial non-zero reference
> count before this device_register() call.
Yes,  you are correct there is nothing to release (hnae_release).
>
> And I have no idea why you use a "!" when saying 'error' you this
> commit log message.
>
Sorry for that. next time I will take care.

~arvind